"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const core_1 = require("@salesforce/core");
const config_1 = require("../../config");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-config', 'list');
class List extends config_1.ConfigCommand {
    // no async methods
    // eslint-disable-next-line @typescript-eslint/require-await
    async run() {
        const results = this.configAggregator.getConfigInfo().map((c) => {
            this.responses.push({
                name: c.key,
                value: c.value,
                location: c.location,
                success: true,
            });
            delete c.path;
            delete c.deprecated;
            return c;
        });
        this.output('List Config', true);
        return results;
    }
}
exports.default = List;
List.description = messages.getMessage('description');
List.aliases = ['force:config:list'];
//# sourceMappingURL=list.js.map